Qore HttpServer Module Reference 0.3.7

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Groups Pages
Class List
Here are the classes, structs, unions and interfaces with brief descriptions:
[detail level 1 2]

HttpServer | Main namespace for the HttpServer module
AbstractAuthenticator | Abstract base class for external authentication
AbstractHttpRequestHandler | Abstract class that all HTTP request handler objects must inherit from
AbstractHttpSocketHandler | Abstract class that all HTTP dedicated socket handler objects must inherit from
AbstractUrlHandler | Abstract class for HTTP request handlers anchored at a specific URL
HttpListener | This class implements the listeners for the HttpServer class
HttpServer | Implements a multithreaded HTTP server primarily designed for serving RPC-style services
Qore |